Subject: [sacm] Hackathon Operating Environment

From: Adam Montville <[email-masked]>
Date: Fri, 16 Jun 2017 18:14:57 +0000

I just wrote the following in a hackathon update:

We're also not settled (with, perhaps, one exception) on where each of
these things will be running. Should we be using local VMs, local hardware,
or cloud environment, or something else?

Here's my pitch. I think we should use a cloud environment. It just seems
easier to me. We can build a base image, store it away, spin up as many as
we want on demand, remove them, and so on. One drawback is that, when using
Linux-based images, it's more difficult to get graphical environments up
and running. So, if having a graphical environment available up there is
needed, we might reconsider.

However, also in favor of the cloud, if we start making really good
progress, maybe we'd want to look at collecting information from non-Linux
platforms (i.e. Windows, Solaris, even virtual network devices).

Thoughts?

Kind regards,

Adam